This resource represents issue priorities. Use it to get, create and update issue priorities and details for individual issue priorities.
Returns the list of all issue priorities.
Deprecated: Use Search priorities instead. Permissions required: Permission to access Jira.
read:jira-workread:priority:jiraConnect app scope required: READ
This request has no parameters.
Returned if the request is successful.
array<Priority>
1
2
3
4
5
6
7
8
9
10
11
12
// This sample uses Atlassian Forge
// https://developer.atlassian.com/platform/forge/
import { requestJira } from "@forge/bridge";
const response = await requestJira(`/rest/api/3/priority`, {
headers: {
'Accept': 'application/json'
}
});
console.log(`Response: ${response.status} ${response.statusText}`);
console.log(await response.json());1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
[
{
"description": "Major loss of function.",
"iconUrl": "https://your-domain.atlassian.net/images/icons/priorities/major.png",
"id": "1",
"name": "Major",
"self": "https://your-domain.atlassian.net/rest/api/3/priority/3",
"statusColor": "#009900"
},
{
"description": "Very little impact.",
"iconUrl": "https://your-domain.atlassian.net/images/icons/priorities/trivial.png",
"id": "2",
"name": "Trivial",
"self": "https://your-domain.atlassian.net/rest/api/3/priority/5",
"statusColor": "#cfcfcf"
}
]Creates an issue priority.
Deprecation notice: The iconUrl parameter was sunset on 16th Mar 2025, and replaced with avatarId. See CHANGE-1525.
Permissions required: Administer Jira global permission.
manage:jira-configurationConnect apps cannot access this REST resource.
integer
string
string
string
Requiredstring
Requiredany
Returned if the request is successful.
The ID of an issue priority.
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
// This sample uses Atlassian Forge
// https://developer.atlassian.com/platform/forge/
import { requestJira } from "@forge/bridge";
var bodyData = `{
"description": "My priority description",
"iconUrl": "/images/icons/priorities/major.png",
"name": "My new priority",
"statusColor": "#ABCDEF"
}`;
const response = await requestJira(`/rest/api/3/priority`, {
method: 'POST',
headers: {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: bodyData
});
console.log(`Response: ${response.status} ${response.statusText}`);
console.log(await response.json());1
2
3
{
"id": "10001"
}Sets default issue priority.
Permissions required: Administer Jira global permission.
manage:jira-configurationConnect apps cannot access this REST resource.
string
RequiredReturned if the request is successful.
any
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
// This sample uses Atlassian Forge
// https://developer.atlassian.com/platform/forge/
import { requestJira } from "@forge/bridge";
var bodyData = `{
"id": "3"
}`;
const response = await requestJira(`/rest/api/3/priority/default`, {
method: 'PUT',
headers: {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: bodyData
});
console.log(`Response: ${response.status} ${response.statusText}`);
console.log(await response.json());Changes the order of issue priorities.
Permissions required: Administer Jira global permission.
manage:jira-configurationConnect apps cannot access this REST resource.
string
array<string>
Requiredstring
Returned if the request is successful.
any
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
// This sample uses Atlassian Forge
// https://developer.atlassian.com/platform/forge/
import { requestJira } from "@forge/bridge";
var bodyData = `{
"after": "10003",
"ids": [
"10004",
"10005"
]
}`;
const response = await requestJira(`/rest/api/3/priority/move`, {
method: 'PUT',
headers: {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: bodyData
});
console.log(`Response: ${response.status} ${response.statusText}`);
console.log(await response.json());Returns a paginated list of priorities. The list can contain all priorities or a subset determined by any combination of these criteria:
Deprecation notice: The onlyDefault parameter is deprecated and will be removed at a later date. See CHANGE-1655.
Deprecation notice: The isDefault property of priorities is deprecated and will be removed at a later date. See CHANGE-1655.
Permissions required: Permission to access Jira.
manage:jira-configurationConnect app scope required: READ
string
string
array<string>
array<string>
string
boolean
string
Returned if the request is successful.
A page of items.
1
2
3
4
5
6
7
8
9
10
11
12
// This sample uses Atlassian Forge
// https://developer.atlassian.com/platform/forge/
import { requestJira } from "@forge/bridge";
const response = await requestJira(`/rest/api/3/priority/search`, {
headers: {
'Accept': 'application/json'
}
});
console.log(`Response: ${response.status} ${response.statusText}`);
console.log(await response.json());1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
{
"isLast": true,
"maxResults": 50,
"startAt": 0,
"total": 2,
"values": [
{
"description": "Major loss of function.",
"iconUrl": "https://your-domain.atlassian.net/images/icons/priorities/major.png",
"id": "1",
"isDefault": true,
"name": "Major",
"self": "https://your-domain.atlassian.net/rest/api/3/priority/3",
"statusColor": "#009900"
},
{
"description": "Very little impact.",
"iconUrl": "https://your-domain.atlassian.net/images/icons/priorities/trivial.png",
"id": "2",
"isDefault": false,
"name": "Trivial",
"self": "https://your-domain.atlassian.net/rest/api/3/priority/5",
"statusColor": "#cfcfcf"
}
]
}Returns an issue priority. To fetch multiple priorities at once, use Search priorities instead.
Permissions required: Permission to access Jira.
read:jira-workread:priority:jiraConnect app scope required: READ
string
RequiredReturned if the request is successful.
An issue priority.
1
2
3
4
5
6
7
8
9
10
11
12
// This sample uses Atlassian Forge
// https://developer.atlassian.com/platform/forge/
import { requestJira } from "@forge/bridge";
const response = await requestJira(`/rest/api/3/priority/{id}`, {
headers: {
'Accept': 'application/json'
}
});
console.log(`Response: ${response.status} ${response.statusText}`);
console.log(await response.json());1
2
3
4
5
6
7
8
{
"description": "Major loss of function.",
"iconUrl": "https://your-domain.atlassian.net/images/icons/priorities/major.png",
"id": "1",
"name": "Major",
"self": "https://your-domain.atlassian.net/rest/api/3/priority/3",
"statusColor": "#009900"
}Updates an issue priority.
At least one request body parameter must be defined.
Deprecation notice: The iconUrl parameter was sunset on 16th Mar 2025, and replaced with avatarId. See CHANGE-1525.
Permissions required: Administer Jira global permission.
manage:jira-configurationConnect apps cannot access this REST resource.
string
Requiredinteger
string
string
string
string
any
Returned if the request is successful.
any
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
// This sample uses Atlassian Forge
// https://developer.atlassian.com/platform/forge/
import { requestJira } from "@forge/bridge";
var bodyData = `{
"description": "My updated priority description",
"iconUrl": "/images/icons/priorities/minor.png",
"name": "My updated priority",
"statusColor": "#123456"
}`;
const response = await requestJira(`/rest/api/3/priority/{id}`, {
method: 'PUT',
headers: {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: bodyData
});
console.log(`Response: ${response.status} ${response.statusText}`);
console.log(await response.json());Deletes an issue priority.
This operation is asynchronous. Follow the location link in the response to determine the status of the task and use Get task to obtain subsequent updates.
Permissions required: Administer Jira global permission.
manage:jira-configurationConnect apps cannot access this REST resource.
string
RequiredReturned if the request is successful.
Details about a task.
1
2
3
4
5
6
7
8
9
10
// This sample uses Atlassian Forge
// https://developer.atlassian.com/platform/forge/
import { requestJira } from "@forge/bridge";
const response = await requestJira(`/rest/api/3/priority/{id}`, {
method: 'DELETE'
});
console.log(`Response: ${response.status} ${response.statusText}`);
console.log(await response.text());1
2
3
4
5
6
7
8
9
10
11
12
13
14
{
"description": "<string>",
"elapsedRuntime": 48,
"finished": 49,
"id": "<string>",
"lastUpdate": 62,
"message": "<string>",
"progress": 51,
"self": "<string>",
"started": 48,
"status": "ENQUEUED",
"submitted": 50,
"submittedBy": 42
}Rate this page: